This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112080 - Intel PRO/Wireless 2011 on Dell Inspiron 7000 does not work
Intel PRO/Wireless 2011 on Dell Inspiron 7000 does not work
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-14 03:02 EST by Alexander Kain
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 12:15:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Kain 2003-12-14 03:02:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
On a Dell Inspiron 7000 laptop, I added the following lines to
/etc/pcmcia/config:

card "Intel PRO/Wireless 2011"
  manfid 0x0089, 0x0001
  bind "orinoco_cs"

after restarting the pcmcia service and inserting the card I get

# tail /var/log/messages
Dec 13 10:06:14 localhost cardmgr[2378]: executing:
'modprobe hermes'
Dec 13 10:06:14 localhost cardmgr[2378]: executing:
'modprobe orinoco'
Dec 13 10:06:15 localhost cardmgr[2378]: executing:
'modprobe orinoco_cs'
Dec 13 10:06:15 localhost kernel: eth0: Error -110
reading firmware info. Wildly guessing capabilities...
Dec 13 10:06:15 localhost kernel: eth0: Intersil
firmware earlier than v0.8.x - several features not
supported
Dec 13 10:06:15 localhost kernel: hermes @ IO 0x100:
Error -16 issuing command.Dec 13 10:06:15 localhost
kernel: eth0: failed to read MAC address!
Dec 13 10:06:15 localhost kernel: Freeing alive device
c12af800, eth0
Dec 13 10:06:15 localhost kernel: orinoco_cs:
register_netdev() failed
Dec 13 10:06:16 localhost cardmgr[2378]: get dev info
on socket 1 failed: Resource temporarily unavailable

The wireless card works under Gentoo Linux (with an earlier version of
orinico_cs, 0.13b) on a Dell Inspiron 8200. The Dell Inspiron 7000
computer works fine with a xircom network card.

# lspci
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX -
82443BX/ZX/DX Host bridge (rev 02)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX -
82443BX/ZX/DX AGP bridge (rev 02)00:04.0 CardBus
bridge: Texas Instruments PCI1220 (rev 02)
00:04.1 CardBus bridge: Texas Instruments PCI1220 (rev
02)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA
(rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4
IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB
PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI
(rev 02)
00:08.0 Multimedia audio controller: ESS Technology
ES1968 Maestro 2
01:00.0 VGA compatible controller: ATI Technologies
Inc 3D Rage LT Pro AGP-133 (rev dc)


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2129.nptl

How reproducible:
Always

Steps to Reproduce:
1. Insert wireless card

Actual Results:  no DHCPDC connection can be established

Expected Results:  network connectivity

Additional info:

the system is fully up2date as of 12/14/03, no configs were modified
except /etc/pcmcia/config.

Other than this problem I have found no other issues with Fedora Core
1 - Thank you.

Note You need to log in before you can comment on or make changes to this bug.